Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Deletes the default dimensions of the employee in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
DELETE businesscentralPrefix/companies({companyId})/employees({employeeId})/defaultDimensions({employeeId},{dimensionId})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| If-Match | Required. When this request header is included and the eTag provided doesn't match the current tag on the employees, the employees won't be updated. |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 204 No Content response code and it deletes the default dimensions for the employee and corresponding dimension.
Example
Request
Here's an example of the request.
DELETE https://{businesscentralPrefix}/api/v2.0/companies({companyId})/employees({employeeId})/defaultDimensions({employeeId},{dimensionId})
Response
No Content.
Related information
Tips for working with the APIs
Employee
Create employee defaultDimensions
Update employee defaultDimensions
Get employee defaultDimensions